BaseBookingRealUsageSection
Returns a list of base booking real usage section entries.
GET/api/event/base_booking_real_usage_section
Query parameters
idinteger | |
deletedboolean | This property is used to mark an entity as deleted / archived |
tokenstring | |
baseBookingRealUsagestring | |
startBaseLocationstring | Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code) |
endBaseLocationstring | Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code) |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of BaseBookingRealUsageSection objectsarray<BaseBookingRealUsageSection>
Show fields (15)
idintegerPrimary key of the usage section. Internal ID.
tokenstringPublic token of the usage section. Used instead of the ID.
start_locationstringLocation where the section started.
start_timestring (date-time)Start time of the section.
start_section_timestring (date-time)Start time of the section within the usage.
end_locationstringLocation where the section ended.
end_timestring (date-time)End time of the section.
end_section_timestring (date-time)End time of the section within the usage.
number_of_landingsintegerNumber of landings in the section.
base_booking_real_usageBaseBookingRealUsageReal usage the section belongs to.
Show fields (16)
idintegerPrimary key of the real usage entry. Internal ID.
tokenstringPublic token of the real usage entry. Used instead of the ID.
start_valuenumber (float)Counter value at the start of the booking, for example the odometer.
stop_valuenumber (float)Counter value at the end of the booking.
durationintegerDuration of the usage in minutes.
kilometersnumber (float)Kilometers driven.
refueled_gasnumber (float)Amount of fuel refueled.
refueled_oilnumber (float)Amount of oil refueled.
gas_typestringType of fuel refueled.
is_trainingbooleanThe usage was a training.
billing_typeintegerBilling type of the usage.
base_bookingBaseBooking13Booking the usage belongs to.
trainerCRMPerson10CRM person who used the bookable.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
start_base_locationBaseLocation10Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
end_base_locationBaseLocation10Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_booking_real_usage_section_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseBookingRealUsageSectionController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"token": "string",
"start_location": "string",
"start_time": "2026-10-15T09:30:00+02:00",
"start_section_time": "2026-10-15T09:30:00+02:00",
"end_location": "string",
"end_time": "2026-10-15T09:30:00+02:00",
"end_section_time": "2026-10-15T09:30:00+02:00",
"number_of_landings": 1,
"base_booking_real_usage": {
"id": 42,
"token": "string",
"start_value": 1.5,
"stop_value": 1.5,
"duration": 1,
"kilometers": 1.5,
"refueled_gas": 1.5,
"refueled_oil": 1.5,
"gas_type": "string",
"is_training": true
}
}
]Creates a new base booking real usage section entry.
POST/api/event/base_booking_real_usage_section
Request body application/json
dataBaseBookingRealUsageSection2Show fields (1)
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Add a new BaseBookingRealUsageSectionBaseBookingRealUsageSection
Show fields (15)
idintegerPrimary key of the usage section. Internal ID.
tokenstringPublic token of the usage section. Used instead of the ID.
start_locationstringLocation where the section started.
start_timestring (date-time)Start time of the section.
start_section_timestring (date-time)Start time of the section within the usage.
end_locationstringLocation where the section ended.
end_timestring (date-time)End time of the section.
end_section_timestring (date-time)End time of the section within the usage.
number_of_landingsintegerNumber of landings in the section.
base_booking_real_usageBaseBookingRealUsageReal usage the section belongs to.
Show fields (16)
idintegerPrimary key of the real usage entry. Internal ID.
tokenstringPublic token of the real usage entry. Used instead of the ID.
start_valuenumber (float)Counter value at the start of the booking, for example the odometer.
stop_valuenumber (float)Counter value at the end of the booking.
durationintegerDuration of the usage in minutes.
kilometersnumber (float)Kilometers driven.
refueled_gasnumber (float)Amount of fuel refueled.
refueled_oilnumber (float)Amount of oil refueled.
gas_typestringType of fuel refueled.
is_trainingbooleanThe usage was a training.
billing_typeintegerBilling type of the usage.
base_bookingBaseBooking13Booking the usage belongs to.
trainerCRMPerson10CRM person who used the bookable.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
start_base_locationBaseLocation10Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
end_base_locationBaseLocation10Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request POST \
--url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"deleted": true
}
}
'const options = {
method: 'POST',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {deleted: true}})
};
fetch('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"
payload = { "data": { "deleted": True } }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section', [
'body' => '{"data":{"deleted":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"deleted\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"deleted\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section")
.post(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section"
payload := strings.NewReader("{\"data\":{\"deleted\":true}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_booking_real_usage_section_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_base_booking_real_usage_section.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseBookingRealUsageSectionController.post(EventBaseBookingRealUsageSection.fromJson({
"deleted": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"token": "string",
"start_location": "string",
"start_time": "2026-10-15T09:30:00+02:00",
"start_section_time": "2026-10-15T09:30:00+02:00",
"end_location": "string",
"end_time": "2026-10-15T09:30:00+02:00",
"end_section_time": "2026-10-15T09:30:00+02:00",
"number_of_landings": 1,
"base_booking_real_usage": {
"id": 42,
"token": "string",
"start_value": 1.5,
"stop_value": 1.5,
"duration": 1,
"kilometers": 1.5,
"refueled_gas": 1.5,
"refueled_oil": 1.5,
"gas_type": "string",
"is_training": true
}
}Returns a single base booking real usage section entry.
GET/api/event/base_booking_real_usage_section/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Returns a single BaseBookingRealUsageSectionBaseBookingRealUsageSection
Show fields (15)
idintegerPrimary key of the usage section. Internal ID.
tokenstringPublic token of the usage section. Used instead of the ID.
start_locationstringLocation where the section started.
start_timestring (date-time)Start time of the section.
start_section_timestring (date-time)Start time of the section within the usage.
end_locationstringLocation where the section ended.
end_timestring (date-time)End time of the section.
end_section_timestring (date-time)End time of the section within the usage.
number_of_landingsintegerNumber of landings in the section.
base_booking_real_usageBaseBookingRealUsageReal usage the section belongs to.
Show fields (16)
idintegerPrimary key of the real usage entry. Internal ID.
tokenstringPublic token of the real usage entry. Used instead of the ID.
start_valuenumber (float)Counter value at the start of the booking, for example the odometer.
stop_valuenumber (float)Counter value at the end of the booking.
durationintegerDuration of the usage in minutes.
kilometersnumber (float)Kilometers driven.
refueled_gasnumber (float)Amount of fuel refueled.
refueled_oilnumber (float)Amount of oil refueled.
gas_typestringType of fuel refueled.
is_trainingbooleanThe usage was a training.
billing_typeintegerBilling type of the usage.
base_bookingBaseBooking13Booking the usage belongs to.
trainerCRMPerson10CRM person who used the bookable.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
start_base_locationBaseLocation10Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
end_base_locationBaseLocation10Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request GET \
--url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_booking_real_usage_section_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseBookingRealUsageSectionController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"token": "string",
"start_location": "string",
"start_time": "2026-10-15T09:30:00+02:00",
"start_section_time": "2026-10-15T09:30:00+02:00",
"end_location": "string",
"end_time": "2026-10-15T09:30:00+02:00",
"end_section_time": "2026-10-15T09:30:00+02:00",
"number_of_landings": 1,
"base_booking_real_usage": {
"id": 42,
"token": "string",
"start_value": 1.5,
"stop_value": 1.5,
"duration": 1,
"kilometers": 1.5,
"refueled_gas": 1.5,
"refueled_oil": 1.5,
"gas_type": "string",
"is_training": true
}
}Updates an existing base booking real usage section entry.
PUT/api/event/base_booking_real_usage_section/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataBaseBookingRealUsageSection2Show fields (1)
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a BaseBookingRealUsageSectionBaseBookingRealUsageSection
Show fields (15)
idintegerPrimary key of the usage section. Internal ID.
tokenstringPublic token of the usage section. Used instead of the ID.
start_locationstringLocation where the section started.
start_timestring (date-time)Start time of the section.
start_section_timestring (date-time)Start time of the section within the usage.
end_locationstringLocation where the section ended.
end_timestring (date-time)End time of the section.
end_section_timestring (date-time)End time of the section within the usage.
number_of_landingsintegerNumber of landings in the section.
base_booking_real_usageBaseBookingRealUsageReal usage the section belongs to.
Show fields (16)
idintegerPrimary key of the real usage entry. Internal ID.
tokenstringPublic token of the real usage entry. Used instead of the ID.
start_valuenumber (float)Counter value at the start of the booking, for example the odometer.
stop_valuenumber (float)Counter value at the end of the booking.
durationintegerDuration of the usage in minutes.
kilometersnumber (float)Kilometers driven.
refueled_gasnumber (float)Amount of fuel refueled.
refueled_oilnumber (float)Amount of oil refueled.
gas_typestringType of fuel refueled.
is_trainingbooleanThe usage was a training.
billing_typeintegerBilling type of the usage.
base_bookingBaseBooking13Booking the usage belongs to.
trainerCRMPerson10CRM person who used the bookable.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
start_base_locationBaseLocation10Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
end_base_locationBaseLocation10Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PUT \
--url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"deleted": true
}
}
'const options = {
method: 'PUT',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {deleted: true}})
};
fetch('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
payload = { "data": { "deleted": True } }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', [
'body' => '{"data":{"deleted":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"deleted\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"deleted\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42")
.put(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
payload := strings.NewReader("{\"data\":{\"deleted\":true}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/event_base_booking_real_usage_section_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/event_base_booking_real_usage_section.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await EventBaseBookingRealUsageSectionController.put(EventBaseBookingRealUsageSection.fromJson({
"deleted": true
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"token": "string",
"start_location": "string",
"start_time": "2026-10-15T09:30:00+02:00",
"start_section_time": "2026-10-15T09:30:00+02:00",
"end_location": "string",
"end_time": "2026-10-15T09:30:00+02:00",
"end_section_time": "2026-10-15T09:30:00+02:00",
"number_of_landings": 1,
"base_booking_real_usage": {
"id": 42,
"token": "string",
"start_value": 1.5,
"stop_value": 1.5,
"duration": 1,
"kilometers": 1.5,
"refueled_gas": 1.5,
"refueled_oil": 1.5,
"gas_type": "string",
"is_training": true
}
}Updates an existing base booking real usage section entry.
PATCH/api/event/base_booking_real_usage_section/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataBaseBookingRealUsageSection2Show fields (1)
deletedbooleanThis property is used to mark an entity as deleted / archived
Responses
200Update a BaseBookingRealUsageSectionBaseBookingRealUsageSection
Show fields (15)
idintegerPrimary key of the usage section. Internal ID.
tokenstringPublic token of the usage section. Used instead of the ID.
start_locationstringLocation where the section started.
start_timestring (date-time)Start time of the section.
start_section_timestring (date-time)Start time of the section within the usage.
end_locationstringLocation where the section ended.
end_timestring (date-time)End time of the section.
end_section_timestring (date-time)End time of the section within the usage.
number_of_landingsintegerNumber of landings in the section.
base_booking_real_usageBaseBookingRealUsageReal usage the section belongs to.
Show fields (16)
idintegerPrimary key of the real usage entry. Internal ID.
tokenstringPublic token of the real usage entry. Used instead of the ID.
start_valuenumber (float)Counter value at the start of the booking, for example the odometer.
stop_valuenumber (float)Counter value at the end of the booking.
durationintegerDuration of the usage in minutes.
kilometersnumber (float)Kilometers driven.
refueled_gasnumber (float)Amount of fuel refueled.
refueled_oilnumber (float)Amount of oil refueled.
gas_typestringType of fuel refueled.
is_trainingbooleanThe usage was a training.
billing_typeintegerBilling type of the usage.
base_bookingBaseBooking13Booking the usage belongs to.
trainerCRMPerson10CRM person who used the bookable.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
start_base_locationBaseLocation10Master record for startLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
end_base_locationBaseLocation10Master record for endLocation (e.g. airport, matched via shortIdentifier = ICAO code)
Show fields (29)
idintegerPrimary key of the location. Internal ID.
tokenstringPublic token of the location. Used in links instead of the ID.
location_typestringType of the location, for example room, hall or outdoor area.
in_contact_centerbooleanThe location is shown in the contact center.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
main_phonestringMain phone number.
main_faxstringMain fax number.
main_emailstringMain e-mail address.
websitestringWebsite address.
namestringName of the entity.
deletedbooleanThis property is used to mark an entity as deleted / archived
short_identifierstringShort identifier of the entity.
image_urlstringURL of the image of the entity.
slug_identifierstringSlug used in URLs of the entity.
is_ui_filterbooleanThis property is used to mark an entity as a filter for the frontend
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
deletedbooleanThis property is used to mark an entity as deleted / archived
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42 \
--header 'content-type: application/json' \
--header 'x-iw-jwt-token: <TOKEN>' \
--data '
{
"data": {
"deleted": true
}
}
'const options = {
method: 'PATCH',
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: JSON.stringify({data: {deleted: true}})
};
fetch('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
payload = { "data": { "deleted": True } }
headers = {
"x-iw-jwt-token": "<TOKEN>",
"content-type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42', [
'body' => '{"data":{"deleted":true}}',
'headers' => [
'content-type' => 'application/json',
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
Content = new StringContent("{\"data\":{\"deleted\":true}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"deleted\":true}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42")
.patch(body)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42"
payload := strings.NewReader("{\"data\":{\"deleted\":true}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/event/base_booking_real_usage_section/42'),
headers: {'x-iw-jwt-token': '<TOKEN>', 'content-type': 'application/json'},
body: jsonEncode({
"data": {
"deleted": true
}
}),
);
print(response.body);{
"id": 42,
"token": "string",
"start_location": "string",
"start_time": "2026-10-15T09:30:00+02:00",
"start_section_time": "2026-10-15T09:30:00+02:00",
"end_location": "string",
"end_time": "2026-10-15T09:30:00+02:00",
"end_section_time": "2026-10-15T09:30:00+02:00",
"number_of_landings": 1,
"base_booking_real_usage": {
"id": 42,
"token": "string",
"start_value": 1.5,
"stop_value": 1.5,
"duration": 1,
"kilometers": 1.5,
"refueled_gas": 1.5,
"refueled_oil": 1.5,
"gas_type": "string",
"is_training": true
}
}